SpringTransactionFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.module.spring.transaction.SpringTransactionFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.spring.transaction
Class SpringTransactionFactory

    java.lang.Object
      org.mule.module.spring.transaction.SpringTransactionFactory

All Implemented Interfaces:
  TransactionFactory

    public class SpringTransactionFactory

extends Object
implements TransactionFactory

TODO: document this class

Nested Class Summary
`class` | `SpringTransactionFactory.SpringTransaction` TODO: document this class

Constructor Summary
`SpringTransactionFactory()`

Method Summary
`Transaction` | `beginTransaction(MuleContext muleContext)` Create and begins a new transaction
`org.springframework.transaction.PlatformTransactionManager` | `getManager()`
`boolean` | `isTransacted()` Determines whether this transaction factory creates transactions that are really transacted or if they are being used to simulate batch actions, such as using Jms Client Acknowledge.
`void` | `setManager(org.springframework.transaction.PlatformTransactionManager manager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringTransactionFactory

    public SpringTransactionFactory()

Method Detail

### beginTransaction

    public Transaction beginTransaction(MuleContext muleContext)
                                 throws TransactionException

  Description copied from interface: `TransactionFactory`
  Create and begins a new transaction

  Specified by:
    `beginTransaction` in interface `TransactionFactory`
  Returns:
    a new Transaction
  Throws:
    `TransactionException` - if the transaction cannot be created or begun

### isTransacted

    public boolean isTransacted()

  Description copied from interface: `TransactionFactory`
  Determines whether this transaction factory creates transactions that are really transacted or if they are being used to simulate batch actions, such as using Jms Client Acknowledge.

  Specified by:
    `isTransacted` in interface `TransactionFactory`
  Returns:

### getManager

    public org.springframework.transaction.PlatformTransactionManager getManager()

  Returns:
    Returns the manager.

### setManager

    public void setManager(org.springframework.transaction.PlatformTransactionManager manager)

  Parameters:
    `manager` - The manager to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.